Skip to main content
POST
Submit payment on Xero

Query Parameters

orgId
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

companyId
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Body

application/json
id
integer
required

Breezing transaction ID to submit. This is the database id from GET /transactions, not the blockchain hash.

Required range: x > 0
invoiceAmount
string
required

Fiat amount to book, as a positive decimal string. With invoiceId, the payment applied in Xero is capped at the invoice amountDue. Without invoiceId, this is the amount of the standalone bank transaction. Legs under 0.01 are skipped.

Pattern: ^\d+(\.\d+)?$
invoiceId
string

Xero invoice ID (InvoiceID) to apply the payment to. Must be one of the ids returned by POST /xero/invoices/refresh. Omit to book a standalone spend/receive money bank transaction instead.

Minimum string length: 1

Response

Payment submitted to Xero

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on July 5, 2026